<!--TODO Merge all lessons into one view-->
<template>
  <div id="page">
  <div style="text-align: center">
    <h2>Lessons</h2>
  </div>

  <div class="button-container">
    <el-button @click="pushLessonOneView">Lesson #1</el-button>
    <el-button @click="pushLessonTwoView">Lesson #2</el-button>
    <el-button @click="pushLessonThreeView">Lesson #3</el-button>
    <el-button @click="pushLessonFourView">Lesson #4</el-button>
  </div>
  </div>
</template>

<style scoped>
#page{
  background-image:url(src/components/Backgrounds/background2.png);
  max-width: 1280px;
  margin: 0 auto;
  text-align: center;
}
.button-container {
  display: grid;
  grid-template-columns: repeat(2, .1fr);
  justify-content: center;
  gap: 10px;
}

.el-button {
  font-size: 18px;
  width: 180px;
  height: 80px;
}

</style>

<script setup>

import router from "@/router/router.js";

function pushLessonOneView() {
  router.push('/lesson1');
}

function pushLessonTwoView() {
  router.push('/lesson2');
}

function pushLessonThreeView() {
  router.push('/lesson3');
}

function pushLessonFourView() {
  router.push('/lesson4');
}
</script>